HPE OneView
cancel
Showing results for 
Search instead for 
Did you mean: 

HP-Oneview 4.0 upgrade Issues

 
BenjieE
Occasional Advisor

Re: HP-Oneview 4.0 upgrade Issues

Yes, works on DL servers, but with Blades in an Enclosure proving more tricky to get OneView to refresh.

 

Jkersten1982
Advisor

Re: HP-Oneview 4.0 upgrade Issues

OK, i've done the hard way (so factory reset ILO and configure ILO again via SHH through my Vmware machines with HPONCFG), but that takes a lot more time. WIll try this also.

Highlighted
Jkersten1982
Advisor

Re: HP-Oneview 4.0 upgrade Issues

Hmm, ILO 4-2.55 will not regenerate the certificate after renaming the ILO hostname..

BenjieE
Occasional Advisor

Re: HP-Oneview 4.0 upgrade Issues

My servers were iLO 3's havent had to re-generate the certs on my iLO 4 sevrers yet.

 

Jkersten1982
Advisor

Re: HP-Oneview 4.0 upgrade Issues

Ah. So, it's better to factory reset the ILO and reapply the settings. Than problem is solved.

But it was kinda weird the problem came up after applying the update from 3.10 to 4.0. It is something in 4.0 what doesn't work as it should do.

Dennis Handly
Acclaimed Contributor

Re: HP-Oneview 4.0 upgrade Issues

@Jkersten1982I think it's a correct message because the certificate on the server is expired

 

Strange, your certificate was never valid, says it expires in 2006 and started in 2017.

(Unless it uses a 32 bit time_t that can't handle dates after 2038?)

Jkersten1982
Advisor

Re: HP-Oneview 4.0 upgrade Issues

@Dennis Handly yeah, that's strange right? I've updated the ILO  on most of the servers when we started to use Oneview for simple monitoring ot the state of the servers, the oldest ilo v4 was 1.30. Don't know if that was the reason for it.

Re: HP-Oneview 4.0 upgrade Issues

Hi,
I`m facing the same problem with the "Leaf certificate...is expired" errors.
Is there any possibility to unlock and clear or hide this alert?
I`ve deleted and recreated the certificates as described, but the errors aren`t gone.

regards
Tom

Chris_L1
Advisor

Re: HP-Oneview 4.0 upgrade Issues

We just finished updating our instances of OneView and had the same issue with all Gen-7 (iLO3) servers.  We fixed by doing what was stated earlier in this posting.  

Note:  we still have a few Gen-7s (DL380 and DL360) that did not resolve after performing the rename/rediscover steps.  The one thing that they all have in common is that they are at iLO ver. 1.88.  We are working on getting these updated and will try the fix on these remaining servers.

Just wanted to share the firmware observation.

ChrisLynchHPE
Neighborhood Moderator

Re: HP-Oneview 4.0 upgrade Issues

I wanted to let those in this thread know that we have a patch in the works to address these issues.  For customers looking to upgrade to 4.00, I would ask that you hold off on performing that upgrade.  The patch I mentioned is currently on track for early this month (Feb 2018).  I will post back on this thread with the exact details of the patch, including version and location when we have that.


Accept or Kudo